Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(21)

Issue 2889273003: Fix some non-const ref function argument types. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by Bence
Modified:
4 months, 3 weeks ago
CC:
chromium-reviews, rsleevi+watch_chromium.org, certificate-transparency-chrome_googlegroups.com, cbentzel+watch_chromium.org, Eran Messeri, net-reviews_chromium.org, martijn+crwatch_martijnc.be, tbansal+watch-nqe_chromium.org, gavinp+disk_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix some non-const ref function argument types. The style guide does not allow passing arguments by non-const reference. This CL changes a few occurrences (found by git cl lint) to const ref where the instance is not mutated, and to pointer where it is. Review-Url: https://codereview.chromium.org/2889273003 Cr-Commit-Position: refs/heads/master@{#473642} Committed: https://chromium.googlesource.com/chromium/src/+/6a0348c405f6c72bf6ce977d31b15f0b2c8ed36f

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+48 lines, -47 lines) Patch
M net/cert/multi_log_ct_verifier_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/disk_cache/backend_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/http/http_cache_unittest.cc View 7 chunks +12 lines, -12 lines 0 comments Download
M net/http/http_server_properties_impl_unittest.cc View 3 chunks +11 lines, -11 lines 0 comments Download
M net/nqe/observation_buffer.h View 5 chunks +9 lines, -9 lines 0 comments Download
M net/quic/chromium/quic_stream_factory_test.cc View 1 chunk +2 lines, -1 line 0 comments Download
M net/ssl/ssl_config_unittest.cc View 2 chunks +12 lines, -12 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   cast_shell_android   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe   android_compile_dbg   linux_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_rel_ng   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (10 generated)
Bence
Zhongyi: PTAL. Thank you.
5 months ago (2017-05-20 00:20:17 UTC) #6
Zhongyi Shi
Nice! lgtm
4 months, 3 weeks ago (2017-05-22 17:06:32 UTC) #7
Bence
Ryan: PTAL. Thanks. Zhongyi: Thank you for the review.
4 months, 3 weeks ago (2017-05-22 17:07:35 UTC) #9
Ryan Sleevi
lgtm
4 months, 3 weeks ago (2017-05-22 17:12:01 UTC) #11
Bence
On 2017/05/22 17:12:01, Ryan Sleevi wrote: > lgtm Thanks.
4 months, 3 weeks ago (2017-05-22 17:23:41 UTC) #13
Ryan Hamilton
lgtm
4 months, 3 weeks ago (2017-05-22 17:23:44 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2889273003/1
4 months, 3 weeks ago (2017-05-22 17:24:01 UTC) #15
commit-bot: I haz the power
4 months, 3 weeks ago (2017-05-22 18:56:41 UTC) #18
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/6a0348c405f6c72bf6ce977d31b1...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa